@clement wrote:
Hi @dale,
i am building a
Rhino.Geometry.Mesh
from another mesh by copying it and then chaning the vertex locations. After this is done, i update the vertex normals and facenormals. While doing this, i ran in a situation where some meshes cannot be added to the document in V5 and V6 using:
guid = scriptcontext.doc.Objects.AddMesh(new_mesh)
which results in an empty guid. If i query
new_mesh.IsValid
before i try to add the mesh to the document, i getFalse
. Is there a way to find out what is not valid with the new mesh ? (It is manifold, compacted etc)_
c.
Posts: 9
Participants: 3